Subject: Re: Emacs for new users

From: Chong Yidong <[email-masked]>
Date: Mon, 23 Nov 2009 15:49:26 -0500

Chong Yidong <[email-masked]> writes:

>>> * beeping is often disturbing and unexpected, in particular for
>>> scrolling past the beginning or end of the
>>>   buffer with the scroll wheel. (I agree. That's hardly an error.)
>>
>> yes, I agree with you, beeping is often disturbing.  You can disable it,
>> changing the value of visible-bell to t:

> This is bug#1305.  That discussion never came to a conclusion.

One complication, now that I recall, is that we really do want to signal
an error for beginning-of-buffer and end-of-buffer, so that keyboard
macros will terminate.

The problem is that we have no mechanism for telling Emacs not to ring
the bell for certain classes of errors.

But I'm not sure Emacs should even be in the bell-ringing business,
anyway; it's a barbaric practice, and an echo-area message IMHO
suffices.